Bug 1007476 - udevadm trigger --type=devices with 70-persistent-net.rules calls ifup on devices whose ifcfg contains ONBOOT=no
udevadm trigger --type=devices with 70-persistent-net.rules calls ifup on dev...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks: 1005278
  Show dependency treegraph
 
Reported: 2013-09-12 10:44 EDT by Assaf Muller
Modified: 2016-11-25 08:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 03:00:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Assaf Muller 2013-09-12 10:44:14 EDT
Description of problem:
Calling "udevadm trigger --type=devices" will ifup all network devices, including those with ONBOOT=no in their ifcfg files.

Version-Release number of selected component (if applicable):
udev rpm: udev-147-2.46.el6.x86_64
initscripts rpm: initscripts-9.03.38-1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. ifdown an interface (eth1 for example)
2. set ONBOOT=no in its ifcfg file
3. Call udevadm trigger --type=devices

Actual results:
ifup called on eth1

Expected results:
ifup not called on eth1
Comment 2 Lukáš Nykrýn 2013-09-13 02:40:19 EDT
I think that setting HOTPLUG=no would be a proper solution here.
Comment 3 Alon Bar-Lev 2013-09-13 03:00:56 EDT
(In reply to Lukáš Nykrýn from comment #2)
> I think that setting HOTPLUG=no would be a proper solution here.

Do you mean adding that to all ifcfg files? it is not really an option... but after reviewing the entire initscripts, I understand you point of view.

Note You need to log in before you can comment on or make changes to this bug.